diff --git a/x-pack/plugin/security/src/test/java/org/elasticsearch/xpack/security/transport/ssl/SslIntegrationTests.java b/x-pack/plugin/security/src/test/java/org/elasticsearch/xpack/security/transport/ssl/SslIntegrationTests.java
index 74714123bb29c..39cecc664a4a0 100644
--- a/x-pack/plugin/security/src/test/java/org/elasticsearch/xpack/security/transport/ssl/SslIntegrationTests.java
+++ b/x-pack/plugin/security/src/test/java/org/elasticsearch/xpack/security/transport/ssl/SslIntegrationTests.java
@@ -93,6 +93,7 @@ public void testThatUnconfiguredCiphersAreRejected() throws Exception {
     }
 
     // no SSL exception as this is the exception is returned when connecting
+    @AwaitsFix(bugUrl = "https://github.com/elastic/elasticsearch/issues/35360")
     public void testThatTransportClientUsingSSLv3ProtocolIsRejected() {
         assumeFalse("Can't run in a FIPS JVM as SSLv3 SSLContext not available", inFipsJvm());
         try (TransportClient transportClient = new TestXPackTransportClient(Settings.builder()
